Package uk.ac.starlink.topcat.plot2

## Class PositionCoordPanel

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.CoordPanel
  - - uk.ac.starlink.topcat.plot2.PositionCoordPanel

- Direct Known Subclasses:
    `SimplePositionCoordPanel`

      public abstract class PositionCoordPanel
      extends CoordPanel

  GUI component for obtaining data position coordinates.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey[] configKeys)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract uk.ac.starlink.ttools.plot2.DataGeom` | `getDataGeom()` | Returns the position geometry that defines the mapping of input to data coordinates.
    `static uk.ac.starlink.ttools.plot2.data.Coord[]` | `multiplyCoords​(uk.ac.starlink.ttools.plot2.data.Coord[] coords, int ncopy)` | Returns a list of coordinates which is like multiple copies of a supplied group.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

      `addActionListener, autoPopulate, getActionForwarder, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, removeActionListener, setColumnSelector, setTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PositionCoordPanel

          protected PositionCoordPanel​(uk.ac.starlink.ttools.plot2.data.Coord[] coords,
                                       uk.ac.starlink.ttools.plot2.config.ConfigKey[] configKeys)

      Constructor.
      Parameters:
        `coords` - coordinate definitions for which values are required
        `configKeys` - config value keys (often empty)

  - ### Method Detail

    - #### getDataGeom

          public abstract uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()

      Returns the position geometry that defines the mapping of input to data coordinates.
      Returns:
        data geom

    - #### multiplyCoords

          public static uk.ac.starlink.ttools.plot2.data.Coord[] multiplyCoords​(uk.ac.starlink.ttools.plot2.data.Coord[] coords,
                                                                                int ncopy)

      Returns a list of coordinates which is like multiple copies of a supplied group. The returned coords have metadata which distinguish them from each other, currently an integer appended to their name. The returned coords are not totally respectable, but their metadata is OK.
      Parameters:
        `coords` - basic coordinates
        `ncopy` - number of copies to make
      Returns:
        array of ncopy copies of coords

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.